%global	emacsver	21.3
%global	xemacsver	21.4
%global	limitver	1.14.7-24m
%global	e_sitedir	/usr/share/emacs/site-lisp
%global	xe_sitedir	/usr/lib/xemacs/site-lisp
%global	sitepdir	/usr/lib/xemacs/site-packages
%global momorel    1

Summary: A simple interface program of w3m, which works on Emacsen
Name: elisp-w3m
Version: 1.4.1
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source: http://emacs-w3m.namazu.org/emacs-w3m-%{version}.tar.gz
Nosource: 0
Source10: w3m-init.el
URL: http://emacs-w3m.namazu.org/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: limit-emacs >= %{limitver}, limit-xemacs >= %{limitver}
Requires: emacsen
Requires: w3m >= 0.3.1

%description
   w3m is a pager with WWW capability, developed by Akinori ITO.  It
   is a pager, but it can be used as a text-mode WWW browser.  For more
   detail about it, see:

       http://w3m.sourceforge.net/

   emacs-w3m is a simple interface program of w3m, which works on Emacs.

%package -n w3m-emacs
Group: Applications/Editors
Summary: A simple interface program of w3m, which works on Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: limit-emacs >= %{limitver}

%description -n w3m-emacs
   w3m is a pager with WWW capability, developed by Akinori ITO.  It
   is a pager, but it can be used as a text-mode WWW browser.  For more
   detail about it, see:

       http://w3m.sourceforge.net/

   emacs-w3m is a simple interface program of w3m, which works on Emacs.

%package -n w3m-xemacs
Group: Applications/Editors
Summary: A simple interface program of w3m, which works on XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: limit-xemacs >= %{limitver}
Requires: gifsicle

%description -n w3m-xemacs
   w3m is a pager with WWW capability, developed by Akinori ITO.  It
   is a pager, but it can be used as a text-mode WWW browser.  For more
   detail about it, see:

       http://w3m.sourceforge.net/

   emacs-w3m is a simple interface program of w3m, which works on Emacs.

%prep
%setup -q -n emacs-w3m-%{version}%{?_rc}

%build
%configure --with-emacs=%{_bindir}/emacs

make EMACS=emacs

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make EMACS=emacs \
	prefix=%{buildroot}%{_prefix} \
	datadir=%{buildroot}%{_datadir} \
	infodir=%{buildroot}%{_infodir} \
        lispdir=%{buildroot}%{e_sitedir}/w3m \
	install install-icons

make distclean

%configure --with-xemacs=%{_bindir}/xemacs
make XEMACS=xemacs \
     PACKAGEDIR=%{buildroot}%{sitepdir} \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     infodir=%{buildroot}%{_infodir} \
     install-package

mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/config-sample/%{name}

# remove
rm -f %{buildroot}/usr/share/info/dir
rm -f %{buildroot}/usr/lib/xemacs/site-packages/info/dir

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog* README*
%doc patches
%config %{_datadir}/config-sample/%{name}/w3m-init.el

%files -n w3m-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/w3m
%{_datadir}/emacs/%{emacsver}/etc/w3m
%{_infodir}/emacs-w3m*

%files -n w3m-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/w3m
%{_libdir}/xemacs/site-packages/etc/w3m
%{_libdir}/xemacs/site-packages/info/emacs-w3m*

%post -n w3m-emacs
/sbin/install-info %{_infodir}/emacs-w3m.info %{_infodir}/dir \
        --section="Emacs"
/sbin/install-info %{_infodir}/emacs-w3m-ja.info %{_infodir}/dir \
        --section="Emacs"

%preun -n w3m-emacs
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/emacs-w3m.info %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/emacs-w3m-ja.info %{_infodir}/dir
fi

%changelog
* Wed Jul  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.1-1m)
- version 1.4.1

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.3.6-3m)
- revised spec for enabling rpm 4.2.

* Sun Dec 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.6-2m)
- fix Source0 URI reported [Momonga-devel.ja:02259]

* Mon Jul 21 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.3.6-1m)
- version 1.3.6

* Tue Jul  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.5-1m)
- version 1.3.5

* Thu Jul  3 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.5-0.2m)
- update to 1.3.5rc2

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.5-0.1m)
- update to 1.3.5rc1

* Fri Jun 27 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (1.3.4-1m)
- update to 1.3.4
- remove macros (%%{version} and %%{release})
- use %%configure
- remove TIPS and FAQ from %%doc
- add info file

* Tue Jun 17 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.4-0.23m)
- update to 1.3.4rc5

* Mon Jun 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.4-0.22m)
- update to 1.3.4rc4

* Fri May 30 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.4-0.21m)
- update to 1.3.4rc2

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.3-4m)
- rebuild against emacs-21.3
- define limitver
- update limit version

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.3-3m)
- fix URL

* Sun Jan 12 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.3.3-2m)
- Rebuild against elisp-apel-10.4-1m and elisp-limit-1.14.7-21m

* Tue Oct 29 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.3.3-1m)
- version up to 1.3.3

* Sat Aug 17 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.3.1-1m)
- version up to 1.3.1

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.3-0.020020319002k)
- rebuild against emacs-21.2

* Thu Feb 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.3-0.020020221002k)
- use HEAD snapshot instead of emacs-w3m-1_3 branch

* Wed Feb 20 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.3-0.020020220002k)
- update cvs
- change URL of w3m.

* Sat Dec  8 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.3-0.020011208002k)

* Wed Nov 28 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.3-0.020011127002k)
- apply a patch for xbm support on XEmacs
- revise config-sample

* Tue Nov 13 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.2.1-8k)
- apply w3m-1.2.1.w3m.el.patch
- revise default w3m-type setting in config-sample

* Tue Nov 13 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.2.1-6k)
- w3m-xemacs requires gifsicle

* Mon Nov 12 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.2.1-4k)
- add configuration sample

* Mon Nov 12 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.2.1-2k)
- update requirements

* Tue Nov  6 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.2-8k)
- 1.2

* Fri Nov  2 2001 Toru Hoshina <t@kondara.org>
- (1.2-6k)
- rc5.

* Fri Nov  2 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.2rc4-4k)
- icondir is under %{emacsver}/etc

* Wed Oct 31 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.2rc4-2k)
- Initial build
